Bug 321303 - Leave A Note widget: Delivered note presents itself in raw HTML code.
Summary: Leave A Note widget: Delivered note presents itself in raw HTML code.
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-notes (show other bugs)
Version: 4.10.4
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-18 02:04 UTC by kdebugs
Modified: 2013-10-10 17:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.3


Attachments
screenshot (27.98 KB, image/png)
2013-06-18 02:06 UTC, kdebugs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kdebugs 2013-06-18 02:04:42 UTC
Observed in version 4.10.2 on an Ubuntu derivative.

Reproducible: Always

Steps to Reproduce:
1. Add the "Leave A Note" widget to the desktop.
2. Leave a note, e.g. "Hello world!".
3. Try to read the delivered note.
Actual Results:  
Delivered message says:
Somebody has left a note at [time, e.g. 01:48 AM]
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">
<html><head><meta name="qrichtext" content="1" /><style type="text/css">
p, li { white-space: pre-wrap; }
</style></head><body style=" font-family:'Ubuntu'; font-size:9pt; font-weight:400; font-style:normal;">
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;">Hello world!</p></body></html>

Expected Results:  
Message should be readable, not some HTML vomit.
Comment 1 kdebugs 2013-06-18 02:06:47 UTC
Created attachment 80598 [details]
screenshot
Comment 2 kdebugs 2013-06-20 08:02:01 UTC
Tried on 4.10.3 (raring), then added ppa and upgraded to 4.10.4.  Same problem reproduces on these versions.  Not sure if knotes or the "Leave A Note" widget is the culprit.
Comment 3 Laurent Montel 2013-10-10 17:21:45 UTC
Git commit 50a5e4db6fbf37a4e93a57aa4f086b449384fc98 by Montel Laurent.
Committed on 10/10/2013 at 17:17.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 321303 - Leave A Note widget: Delivered note presents itself in raw HTML code.

FIXED-IN: 4.11.3

M  +3    -0    applets/leavenote/leavenote.cpp

http://commits.kde.org/kdeplasma-addons/50a5e4db6fbf37a4e93a57aa4f086b449384fc98